declare type ResponseTrack = {
    title: string;
    artist: string;
    link: string;
};
declare type SpotifyClientOptions = {
    clientId: string;
    clientSecret: string;
    refreshToken: string;
};
declare class SpotifyClient {
    private readonly clientId;
    private readonly clientSecret;
    private readonly refreshToken;
    constructor({ clientId, clientSecret, refreshToken }: SpotifyClientOptions);
    private _genAccesToken;
    getCurrentlyPlaying: () => Promise<ResponseTrack | null>;
    getLastPlayed: () => Promise<ResponseTrack>;
}

export { SpotifyClient };
